clang-tools 10.0.0

Public Member Functions | Friends | List of all members
clang::clangd::DeclRelationSet Class Reference

`#include <FindTarget.h>`

## Public Member Functions
| DeclRelationSet ()=default
| DeclRelationSet (DeclRelation R)
| operator bool () const
DeclRelationSet & | operator|= (DeclRelationSet Other)
DeclRelationSet & | operator &= (DeclRelationSet Other)

## Friends
DeclRelationSet | operator & (DeclRelationSet L, DeclRelationSet R)
DeclRelationSet | operator| (DeclRelationSet L, DeclRelationSet R)
bool | operator== (DeclRelationSet L, DeclRelationSet R)
DeclRelationSet | operator~ (DeclRelationSet R)
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, DeclRelationSet)

## Detailed Description

Definition at line 163 of file FindTarget.h.

## Constructor & Destructor Documentation

## ◆ DeclRelationSet() [1/2]

clang::clangd::DeclRelationSet::DeclRelationSet | ( |  | ) |
| default

## ◆ DeclRelationSet() [2/2]

clang::clangd::DeclRelationSet::DeclRelationSet | ( | DeclRelation | R | ) |
| inline

Definition at line 170 of file FindTarget.h.

## Member Function Documentation

## ◆ operator &=()

DeclRelationSet& clang::clangd::DeclRelationSet::operator&= | ( | DeclRelationSet | Other | ) |
| inline

Definition at line 187 of file FindTarget.h.

References clang::clangd::operator<<().

## ◆ operator bool()

clang::clangd::DeclRelationSet::operator bool | ( |  | ) | const
| inline explicit

Definition at line 172 of file FindTarget.h.

## ◆ operator|=()

DeclRelationSet& clang::clangd::DeclRelationSet::operator|= | ( | DeclRelationSet | Other | ) |
| inline

Definition at line 183 of file FindTarget.h.

## Friends And Related Function Documentation

## ◆ operator &

DeclRelationSet operator& | ( | DeclRelationSet | L,
|  | DeclRelationSet | R
| ) |  |
| friend

Definition at line 173 of file FindTarget.h.

## ◆ operator<<

llvm::raw_ostream& operator<< | ( | llvm::raw_ostream & | ,
|  | DeclRelationSet |
| ) |  |
| friend

Definition at line 895 of file FindTarget.cpp.

## ◆ operator==

bool operator== | ( | DeclRelationSet | L,
|  | DeclRelationSet | R
| ) |  |
| friend

Definition at line 179 of file FindTarget.h.

## ◆ operator|

DeclRelationSet operator| | ( | DeclRelationSet | L,
|  | DeclRelationSet | R
| ) |  |
| friend

Definition at line 176 of file FindTarget.h.

## ◆ operator~

DeclRelationSet operator~ | ( | DeclRelationSet | R | ) |
| friend

Definition at line 182 of file FindTarget.h.

The documentation for this class was generated from the following file:

- FindTarget.h